Ruby - Rails - plugin detail

Ruby-Rails plugin for Netbenas 7.2

n/a
Plugin owner: harsha_pic
Website:
Added: 2012-09-05
License: Open Source
Category: Programming Languages
Downloaded: 15,865 times
Rating:
 4.57, by 4 users

Plugin Log Show log

Versions available

Download plugin   Download size: 31.13 MB   Last Update: 2012-09-05

What's new in this version



Verifications for NetBeans versions

Plugin is not subject to any verification



Introduction

Ruby-Rails plugin for Netbenas 7.2 This is port of old ruby-rails plugin, in netbens 7.2 we don't have old ruby plugin, so I just downloaded source code and created plugin package and uploaded here. Credit goes to developers of ruby-rails plugin.

[ You have to be logged in to be able to comment. ]

User Comments

  

Updated version?

To reply to my own question.

The version at:-
http://plugins.netbeans.org/plugin/38549#comm

Now has a 7.3 version!
Posted by nichot20 on Apr 29, 2013
  

Updated version?

Since harsha_pic ported this back in September there have been a lot of fixes, especially to the 1.9 parser, and NetBeans 7.3 is now out.

Are there any plans for an updated version?
Posted by nichot20 on Mar 20, 2013
  

Problems in plugin

1. No Module
Impossible to set color styles for Module name. No any Module options at all in the Syntax

2. Impossible to set style for class name
There is a "class" option in the Syntax but it doesn't work. You can set but no any changes of style you get.

3. Impossible to set style for constants
There is a "constant" option in the Syntax but it doesn't work. It is paired with many other options (can't even say all of them found only class name and method name). It means you think that you change style of constant but the class name, the module name and all identifiers got the same style. Mess.

4. Impossible to set style for method name.
There is a "method" option in the Syntax but it doesn't work. It is paired with 3 (above mentioned). You set only method name style but get a mess - many others identifiers get the same style.

5. Plugin doesn't know Ruby API
Ctrl+Space can't offer any suggestions. I print:
File. (now Ctrl+Space but get "No suggestions")

6. Doesn't open the source code of Ctrl-selected entities.
The great tool in NB is that if you Ctrl+mouse-click on some entity in the code it opens the file in which that entity is defined. It's not possible with this plugin. Maybe as consequence of 5th above.


Result: You have to take what is offered. Very few options to configure. I could only change safely a numbers' color. No knowledge of API.

That's what I found so far. But auto complete with "end", code templates (snippets) in Ruby files (.rb) and code templates in RHTML files (.erb) seems working fine. Thank you for that.
Posted by green__ on Mar 11, 2013
  

Don't stop at breakpoints

I got the plugin installed, but in my Rails 3.2 project it doesn't stop at breakpoints when debugging. That worked in my Netbeans 7.0 version.
Anyone has an idea what to do about it?

I am using Windows 7 64-bit.
Posted by mgard on Feb 21, 2013
  

Can't find Rails when creating Ruby on Rails project

I installed Rails on Linux as root using "gem install rails". I run Netbeans IDE as unprivileged user and Netbeans IDE fails to find Rails framework even after reinstall via "Install Rails" button.

OOPS! Got it! --user-install gem option was in /etc/gemrc, so rails was installed in root's home directory but I work under another unprivileged account.
Posted by igvalor on Dec 18, 2012
  

Debugging is broken

Need help with debugging.

Thanks & Regards
Eugen
Posted by euwero on Nov 07, 2012
  

Can't install the plugin.

Many thanks. Now I can install this plugin and I can edit my rails 3.2.8 sourcecode.
If I try to run the program by right click on the name in the project folder and selecting "run" I get:

/home/user1/.rvm/rubies/ruby-1.9.3-p286/bin/ruby: No such file or directory -- script/server (LoadError)

Can someone help, please?

Many thanks & regards
Eugen

Update 1:
I don't know why but it works now.

Update 2:
In Project properties was the wrong Ruby Platform set.

Many thanks & regards
Eugen
Posted by euwero on Nov 06, 2012
  

Can't install the plugin.

Resolved the plugin installation problem. Please try the following it worked for me on Mac OSX -
1) Download and unzip the plugin.
2) Change the name of the folder to ensure that it doesn't contain _ (underscore).
3) Open NetBeans, in that open Tools -> Plugins -> Settings.
4) In settings add new path to the repository. The path is the path of the updates.xml file including the file name. Use the file:///FILE_PATH/FILE_NAME url.
5) After 4th step the Ruby and Rails plugin will become available in the Available Plugins tab. Install them from there.

Thanks & Regards,
Ajinkya Ghorpade
Posted by ajinkyaghorpade on Nov 05, 2012
  

Can't install the plugin.

Hi,
During installation of the plugin I get an error that the plugin requires module org.jruby.ruby. Since this is a dependency I cannot install until this module is installed.As have been mentioned several times in this thread please mention the steps to install the plugin.
Thanks & Regards,
Ajinkya Ghorpade
Posted by ajinkyaghorpade on Nov 05, 2012
  

I can't install the plugin

Same as Posted by lvskiprof on Oct 30, 2012.
On
$ uname -a
Linux pc 3.0.0-26-generic #43-Ubuntu SMP Tue Sep 25 17:19:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
$
I tried to install netbeans ide 7.2 and this plugin in my home directory.

Please help!
Posted by euwero on Nov 02, 2012
  

Thank you very much

I installed it on my NetBeans 7.2 and it works nice, thanks.
Posted by saeed_z_f on Nov 01, 2012
  

The plugin fails to install correctly, as has been pointed out many times

The blog entry doesn't help either, nor the links it points to.

I am able to install one module at a time for a while, but one of them requires a reboot before you can proceed any further.

Finally you get down to just seven modules and they can't install without org.jruby.jruby, which seems to be the one jar file included in the ZIP you download. It seems that you need to place it somewhere, but putting in it .netbeans/7.2/modules and restarting Netbeans did not work.

The plugin obviously needs fixing, but for now it would help if someone listed a step-by-step way to get the bloody thing installed.
Posted by lvskiprof on Oct 30, 2012
  

SOS,I can't install the plugin...

unzip rubyonrails_Netbeans.zip
netbeans ide 7.2 always report error:
"Some plug-ins need to install plugin org.jruby.jruby.
Need named plug of org.jruby.jruby, but did not find. Following plugin is affected: Ruby Projects"

file:"org-jruby-jruby.jar" should need to move where do you go?
or need to install this plugin before install other plugin?
Where is "path into plug-in repository"? I must move updates.xml files to the path?
My OS:windows xp ,32bit. netbeans version 7.2. jdk version 7
I can't go on install...help me please~
Thanks you very much
Posted by hyb0320 on Oct 17, 2012
  

Does this include the commit after Geertjan's blog article?

Referring to this article:
https://blogs.oracle.com/geertjan/entry/ruby_in_netbeans_ide_7

This commit was made to the 7.2 branch
http://hg.netbeans.org/community-ruby/rev/dddec0f62fd8

I'm guessing that it may have cleaned up some of the issues...what rev is this plugin currently based on?

Thanks for the hard work!
Posted by PrplHaz4 on Oct 16, 2012
  

working in 7.1

but method adn rdoc autocomplete works fine in 7.1 plugin , and i really like to have that working
Posted by jonasulveseth on Sep 25, 2012
  

Autocomplete to make work

Please uncheck "Methods" and "RDoc" under Tools->Options->Miscellaneous->Ruby

Those two options will make plugin very slow so it will freezes, so uncheck and it will work smoothly.
Posted by harsha_pic on Sep 23, 2012
  

autocomplete not working

in controllers or models, css aoutocomlete in view works fine. Can you please fix. it is impossible to use
Posted by jonasulveseth on Sep 23, 2012
  

works

ty so much, hated having 2 netbeans for ruby and php. After testing it, i found that auto complete freezes the IDE and the only way to get out is kill the process.
Posted by coalwater on Sep 17, 2012
  

hi

This is port of old ruby plugin. When I downloaded net beans 7.2 I didn't find ruby plugin so I downloaded source code and generated plugin for netbens 7.2 users.
Posted by harsha_pic on Sep 14, 2012
  

Netbenas

Pls fix description of the plugin.

This is a port of old Ruby on Rails plugin, or it is something different?
Posted by hron84 on Sep 14, 2012
  

Thank you!

Hello harsha_pic
Thank you so much for your help!
Posted by djnet00 on Sep 14, 2012
  

hi

If you still facing problems please let me know.

Thanks.
Posted by harsha_pic on Sep 14, 2012
  

Hi

Download zip file, you will find updates.xml.Unzip it.
Please add updates.xml file path into plug-in repository.
In available softwares you will find "Ruby-Rails" plugin then install it.
Posted by harsha_pic on Sep 14, 2012
  

How install the plugin?

Hello, how install the plugin?
Thank you!
Posted by djnet00 on Sep 14, 2012
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo